# mount.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | mountPoints

## Functions

int | mount (int major, int minor, int partition, int fsType, char *mountPoint, char *perms)
int | addMount (struct mountPoints *mp)
mountPoints * | findMount (char *mountPoint)

## Function Documentation

int addMount | ( | struct mountPoints * | mp | ) |

struct mountPoints* findMount | ( | char * | mountPoint | ) |

int mount | ( | int | major,
|  | int | minor,
|  | int | partition,
|  | int | fsType,
|  | char * | mountPoint,
|  | char * | perms
| ) |